export declare class RunInfo {
    private runIfSuccessful;
    inProgress: boolean;
    successful: boolean;
    atLeastOneSuccess: boolean;
    canRun: boolean;
    cannotRun: boolean;
    constructor(runIfSuccessful?: boolean);
    start(): void;
    success(): void;
    reset(): void;
    abort(): void;
}
